﻿var appService = angular.module('app.services', [])
// var hostService = "http://localhost:10504";
var hostService = "https://122.155.197.158";
//var hostService = "https://122.155.197.158/Test";

appService.factory('$localstorage', ['$window', function($window) {
  return {
	set: function(key, value) {
	  $window.localStorage[key] = value;
	},
	get: function(key, defaultValue) {
	  return $window.localStorage[key] || defaultValue;
	},
	setObject: function(key, value) {
	  $window.localStorage[key] = JSON.stringify(value);
	},
	getObject: function(key) {
	  return JSON.parse($window.localStorage[key] || '{}');
	}
  }
}]);


appService.factory('SSO', ['$http', function($http) {
  

  return {
	getOldage: function(userId,type,ssoNum) {
		return $http({
		  method: 'GET',
		  url: hostService + '/SSO/Oldage?userId='+userId+'&type='+type+'&ssoNum='+ssoNum
		});
	},
	getOldageByMonth: function(userId,type,ssoNum) {
		return $http({
		  method: 'GET',
		  url: hostService + '/SSO/OldageByMonth?userId='+userId+'&type='+type+'&ssoNum='+ssoNum
		});
	},
	getBenefitAll: function(userId,type,ssoNum,year) {
		return $http({
		  method: 'GET',
		  url: hostService + '/SSO/BenefitAll?userId='+userId+'&type='+type+'&ssoNum='+ssoNum+'&year='+year
		});
	}, 
  getEmployee: function(userId,type,ssoNum,year) {
	return $http({
		  method: 'GET',
		  url: hostService + '/SSO/EmployeeCntr?userId='+userId+'&type='+type+'&ssoNum='+ssoNum+'&year='+year
		});
	},

getListUser: function(fulltext,page) {
	return $http({
		  method: 'GET',
		  url: hostService + '/User/GetUserByFulltext?fulltext='+fulltext+'&page='+page
		});
	},
getProfile: function(id) {
	return $http({
		  method: 'GET',
		  url: hostService + '/User/GetUserById?id='+id
		});
	},
setLogin: function(Username,Password) {
	return $http({
		  method : 'POST',
		  url: hostService + '/User/SetLogIn?Username='+Username+'&Password='+Password
		});
	},
  

UpdateUser: function(form,user) {

  	var sc03_user={
  	    	SC03_UserId:user.SC03_UserId,
  	    	SC03_UpdUser:user.SC03_UpdUser,
		SC03_UserName:user.SC03_UserName,
	    //	SC03_TName:user.SC03_TName,
		SC03_FName:user.SC03_FName,
		SC03_LName:user.SC03_LName,
		SC03_Email:user.SC03_Email,
		SC03_Password:user.SC03_Password,
		SC03_Tel:user.SC03_Tel,
		SC03_Status:user.SC03_Status
	};

Object.toparams = function ObjecttoParams(obj) 
{
  var p = [];
  for (var key in obj) 
  {
    p.push(key + '=' + encodeURIComponent(obj[key]));
  }
  return p.join('&');
};


return $http({
        method : 'POST',
        url : hostService + '/User/UpdateUser?' + Object.toparams(sc03_user)
        // ,
        // headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'}
})




  },
LoadCheckCardId: function(CardId) {
	return $http({
		  method : 'POST',
		  url: hostService + '/User/CheckCardId?CardId='+CardId
		});
	},
DeleteUser: function(SC03_UserId) {
	return $http({
		  method : 'POST',
		  url: hostService + '/User/DeleteUser?SC03_UserId='+SC03_UserId
		});
	},
SetForgetPassword: function(Username,Password,Tel) {
	return $http({
		  method : 'POST',
		  url: hostService + '/User/SetForgetPassword?Username='+Username+"&Password="+Password+"&Tel="+Tel

		});
	}

  }
	

}]);


appService.factory('Global', ['$localstorage', function($localstorage) {
  return {
GetName: function(SC03_TName,SC03_FName,SC03_LName) {
	var name="";
	//if(SC03_TName)
		//name+=$localstorage.get('TName');
	if(SC03_FName)
		name+=$localstorage.get('FName');
	if(SC03_LName)
		name+=" "+$localstorage.get('LName');
	return name;
				
	},

GetDDlYear:function(){
	var currDate = new Date();
	var EndYear=currDate.getFullYear();
	var arrYear=[];
	var index=0;
	if(EndYear<2500)
		EndYear=EndYear+543;

	for (var i = 2542;i <= EndYear; i++) {
				var Year={id:i,
		name:i};
			arrYear[index]=Year;
			index++;
	}
var data = {
		availableOptions: arrYear,
    selectedOption:    {id: EndYear, name:EndYear}//This sets the default value of the select in the ui
};

return data;
  },
GetAuthorize:function(){
	var regisStatus=$localstorage.getObject('RegisStatus');
	var options = [];

	for(var i = 0; i < regisStatus.length; i++) {
		options.push({id: regisStatus[i], name: regisStatus[i]});
	}

	var data = Object();

	data.availableOptions = options;
	if(options.length>0)
		data.selectedOption = options[0];

	return data;
}



}

}]);
